# ======================================================================
#  $Id: GNUmakefile,v 1.10 2003/12/06 11:21:14 goiwai Exp $
#  $Name: CLDAQ-1-11-00 $
#  $Log: GNUmakefile,v $
#  Revision 1.10  2003/12/06 11:21:14  goiwai
#  dumpruninfoを追加
#
#  Revision 1.9  2003/12/06 11:13:15  goiwai
#  *** empty log message ***
#
#  Revision 1.8  2003/11/04 12:01:40  goiwai
#  CCDのデータ部分のみをダンプします.
#
#  Revision 1.7  2003/10/06 16:28:19  goiwai
#  *** empty log message ***
#
#  Revision 1.6  2003/09/10 01:14:16  goiwai
#  st02OFFsignalview と st02OFFdarkview を追加しました.
#
#  Revision 1.5  2003/09/07 02:30:28  goiwai
#  少し,整理しました.
#
#  Revision 1.4  2003/08/05 20:28:11  goiwai
#  OFFctiwgを加えました.
#
#  Revision 1.3  2003/08/05 20:26:49  goiwai
#  *** empty log message ***
#
#  Revision 1.2  2003/07/30 16:16:33  goiwai
#  ファイルにコミットログをつけることにしました.
#
# ======================================================================
name := st02
# ONLINE COMMAND
name += st02signalview st02darkview
# OFFLINE ANALYSIS
name += st02OFFsignalview st02OFFdarkview st02OFFdump st02OFFdumpruninfo
name += st02OFFpureplot st02OFFsubplot
name += st02OFFspfind st02OFFspfast
name += st02OFFdarkplot st02OFFflatband
name += st02OFFdarkdivide st02OFFtest
name += st02OFFctig st02OFFctiwg st02OFFctiag st02OFFctig-all

ifndef CLDAQ_INSTALL
  CLDAQ_INSTALL = ../..
endif

CLDAQ_LIB_NAME = st02

.PHONY: all

all: lib bin

include $(CLDAQ_INSTALL)/config/binmake.gmk

LDLIBS += $(shell root-config --libs)
CPPFLAGS += $(shell root-config --cflags)
